<?php
namespace nur\ldap\app;

use nur\cli\Application;

abstract class LdapApplication extends Application {
  use TLdapApplication;

  const LOAD_PARAMS = true;

  const ARGS = [
    "sections" => [
      self::VERBOSITY_SECTION,
      [
        "title" => "CONNEXION LDAP",
        ["-C", "--config", "args" => "file"],
        ["-H", "--uri", "args" => 1],
        ["-D", "--binddn", "args" => 1],
        ["-w", "--password", "args" => 1],
      ],
    ],
  ];
}
