<?php
namespace nur\v\base;

use nur\v\model\INavigablePage;

/**
 * Class AbstractNavigablePage: *exemple* d'implémentation de
 * {@link INavigablePage}
 *
 * cette classe n'est utilisée nulle part dans la hiérarchie, elle n'existe que
 * comme exemple d'implémentation
 */
abstract class AbstractNavigablePage extends AbstractBasicPage implements INavigablePage {
  use TNavigablePage;

  const NAVBAR_OPTIONS = null;
  const NAVIGATION_SHOW_NAVIGATION = true;
  const NAVIGATION_IMPLEMENTS_OWN_LAYOUT = false;
  const CONTAINER_OPTIONS = null;
}
