<?php
namespace nur\v\base;

use nur\v\model\IChildComponent;
use nur\v\model\IComponent;

abstract class ComponentPrintable extends SimplePrintable implements IComponent, IChildComponent {
  use TPlugin, TComponent, TComponentPrintable {
    TComponentPrintable::haveScript insteadof TPlugin;
    TComponentPrintable::printScript insteadof TPlugin;
    TComponentPrintable::haveJquery insteadof TPlugin;
    TComponentPrintable::printJquery insteadof TPlugin;
    TComponentPrintable::prepare insteadof TComponent;
  }

  /** @var array|string */
  const CSS = null;

  /** @var array|string */
  const JS = null;

  /** @var bool */
  const HAVE_JQUERY = false;
  /** @var bool */
  const HAVE_SCRIPT = false;

  /** @var array|string */
  const PLUGINS = null;
}
