<?php
namespace nulib\schema\input;

use nulib\php\access\IAccess;
use nulib\php\access\PostAccess;

/**
 * Class PostInput: accès à des paramètres de formulaire de type POST uniquement
 *
 * cette implémentation lit depuis les paramètres de formulaire et écrit dans
 * une référence
 */
class PostInput extends FormInput {
  protected function formAccess(IAccess $access): IAccess {
    return new PostAccess(null, [
      "allow_empty" => $access->isAllowEmpty(),
    ]);
  }
}
